function [ params ] = Config()
    %starting date for the simulation
	%simulation will fail if the starting date does not exist in the data
    params.start_time = '01/02/2004';
    
    %total number of days in the simulation
    params.total_time = 500;
    %number of days to use in the history window
    params.PHOR = 60;
	%simulation will fail if there are not total_time+PHOR days in the provided data
    
    %number of days to hold a portfolio before rebalancing
    params.NHOR = 20;
    
    %starting capital
    params.capital = 1;
    
    %weighting variable used in constructing optimization constraints
	%Using MinMDD or Markowitz method, 0<lambda<=1
	%Using MDD method, 0<lambda
    params.lambda = 0.7;
    
    %round trip transaction cost incurred when rebalancing a portfolio
    params.tr_cost = 0.0003;
    
    %number of clusters to use when performing clustering analysis
    params.k = 5;
    
    %optimization algorithm to use when allocating a portfolio
	%choices are:
	%'simple_uniform'
	%'vol_weighted'
	%'markowitz'
	%'mdd'
	%'min_mdd'
    params.alg = 'simple_uniform';
end