function [ port ] = MinMDD(price_data, use_data)
    params = Config();
    
    lambda = params.lambda;
    PHOR = params.PHOR;
    
    [stock_values, returns, universe] = WindowData(price_data, use_data);

    dimen = size(stock_values);
    R = zeros(dimen);
    %fill R with the day by day cumulative return for each stock
    for row=2:dimen(1)
       for col=1:dimen(2)
            cur_val = stock_values(row, col);
            org_val = stock_values(1,col);
            if (org_val ~= 0)
                R(row, col) = (cur_val-org_val)/org_val;
            end
       end
    end

    avg_r = mean(returns);
    min_r = min(avg_r);
    max_r = max(avg_r);
    target = lambda*max_r + (1-lambda)*min_r;

    num_use = length(universe);
    Ot = zeros(PHOR+1,1);
    It = eye(PHOR+1);
    On = zeros(num_use, 1);
    f = [0; Ot; On; 1];
    A = [0 Ot' -1*R(end, 1:end) 0; Ot It -1*R -1*ones(PHOR+1,1); Ot -1*It R Ot; [It Ot]+[Ot -1*It] Ot*On' Ot];
    b = [-1*target; -1*ones(PHOR+1,1); Ot; Ot];
	Aeq = [1 Ot' On' 0; 0 Ot' ones(1,num_use) 0];
	beq = [0 1];
    LB = [0; Ot; On; 0];
    UB = [Inf; Inf*ones(PHOR+1,1); ones(num_use, 1); Inf];

    opts = optimset('Display','none');
    X = linprog(f,A,b,Aeq,beq,LB,UB,[],opts);

    p_wts = X(PHOR+3:end-1)';

    port = zeros(1, length(use_data));

    for i=1:length(universe)
       port(universe(i)) = p_wts(i);
    end
end