function [ port ] = VolWeighted(price_data, use_data)
    [~, returns, universe] = WindowData(price_data, use_data);

    sigma = std(returns);
    p_wts = zeros(length(sigma));

    for i=1:length(sigma)
        p_wts(i) = 1/sigma(i);
    end

    %normalize the weights so that they sum to 1
    p_wts = p_wts/sum(p_wts);

    port = zeros(1, length(use_data));

    for i=1:length(universe)
       port(universe(i)) = p_wts(i);
    end
end